Subject: Re: bug#21277: 25.0.50; char-fold search is a screw, and I can't see how to disable

From: Mark Oteiza <[email-masked]>
Date: Mon, 17 Aug 2015 15:02:35 -0400

Richard Stallman <[email-masked]> writes:

> 2. So I decided to try to disable it, but the doc string of
> isearch says nothing about how to turn that off.  It should say how.
>
> 3. I tried using C-h v to find a variable, but although there is
> isearch-case-fold-search, there is no isearch-char-fold-search.
> For parallelism's sake, isearch-char-fold-search should exist.
>
> 4. I searched in etc/NEWS for 'char fold' and 'char-fold'.
> Neither appears.  Both of them SHOULD appear, for the sake
> of people who search for them.
>
> 5. I did find 'isearch', and that entry described the new inconvenient
> feature.  However the entry there did not say how to disable this
> feature.  It should say how.

As I understand it, the variables `character-fold-search' and
`replace-character-fold' control the new folding features. I have it all
disabled--both variables set to nil. At least they have docstrings;
however, yes, they need to be documented in isearch, replace, and NEWS.